package com.mortals.xhx.module.device.web;


import com.mortals.framework.web.BaseCRUDFormLong;
import com.mortals.xhx.module.device.model.DeviceLogEntity;
import com.mortals.xhx.module.device.model.DeviceLogQuery;

/**
* DeviceLog
*
* 设备日志 Form
*
* @author zxfei
* @date 2022-03-09
*/
public class DeviceLogForm extends BaseCRUDFormLong<DeviceLogEntity> {
    private DeviceLogEntity entity = new DeviceLogEntity();
    private DeviceLogQuery query = new DeviceLogQuery();
    public DeviceLogForm(){
    }

    @Override
    public DeviceLogEntity getEntity() {
        return entity;
    }

    public void setDeviceLog(DeviceLogEntity entity) {
        this.entity = entity;
    }

    @Override
    public DeviceLogQuery getQuery() {
        return query;
    }

    public void setQuery(DeviceLogQuery query) {
        this.query = query;
    }
}